# List card authorization policy versions

**GET** `/issuing/card-authorization-policy-versions`

Retrieve a list of versions for the specified card authorization policy.

### Query Parameters

- `card_authorization_policy_id` `string` _(required)_ — The card authorization policy ID to list versions for.
- `effective_on.gt` `date-time` — Return results where the effective date is greater than this value.
- `effective_on.gte` `date-time` — Return results where the effective date is greater than or equal to this value.
- `effective_on.lt` `date-time` — Return results where the effective date is less than this value.
- `effective_on.lte` `date-time` — Return results where the effective date is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/issuing/card-authorization-policy-versions' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_authorization_policy_versions": [
    {
      "card_authorization_policy_id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
      "config": {
        "allowed_merchant_category_codes": [
          "5411",
          "5912"
        ],
        "allowed_merchant_country_codes": [
          null
        ],
        "allowed_merchant_currency_codes": [
          "USD"
        ],
        "allowed_merchant_ids": [
          null
        ],
        "blocked_merchant_category_codes": [
          "7995"
        ],
        "blocked_merchant_country_codes": [
          null
        ],
        "blocked_merchant_currency_codes": [
          "EUR"
        ],
        "blocked_merchant_ids": [
          null
        ],
        "card_spend_policies": [
          {
            "interval": "transaction",
            "number_of_transactions": 10,
            "scope": "card_program",
            "total_volume": 100000
          }
        ]
      },
      "created_at": "2024-01-15T09:30:00Z",
      "effective_on": "2024-01-15T09:30:00Z",
      "id": "cauv_2x8gszy5folpA9s0TOCseE9ABDM",
      "scope": "card_program"
    }
  ],
  "has_more": false
}
```
